<app-loading *ngIf="isLoadingPage"></app-loading>
<form nz-form [formGroup]="form" enctype="multipart/form-data">
  <div nz-row [nzGutter]="[30, 10]">
    <!-- Phân loại hợp đồng   -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listVLookupContract"
                 mbKeyLabel="label"
                 mbKeyValue="value"
                 (ngModelChange)="changeVLookupContract($event)"
                 [mbType]="isSubmitted && form.controls['classifyCode'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['classifyCode'].errors !== null"
                 [mbErrors]="form.controls['classifyCode'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.contractHisInfo.label.attributes.classifyCode' | translate }}]"
                 mbPlaceholder="{{'staffManager.contractHisInfo.label.attributes.classifyCode' | translate}}"
                 mbLabelText="{{'staffManager.contractHisInfo.label.attributes.classifyCode' | translate}} <span class='label__required'>*</span>"
                 formControlName="classifyCode"></mb-select>
    </div>

    <!-- Loại hợp đồng -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-select [mbDataSelects]="listContractType"
                 mbKeyLabel="name"
                 mbKeyValue="contractTypeId"
                 [mbType]="isSubmitted && form.controls['contractTypeId'].errors ? 'error' : 'default'"
                 [mbShowError]="isSubmitted && form.controls['contractTypeId'].errors !== null"
                 [mbErrors]="form.controls['contractTypeId'].errors"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.contractHisInfo.label.attributes.contractType' | translate }}]"
                 mbPlaceholder="{{'staffManager.contractHisInfo.label.attributes.contractType' | translate}}"
                 mbLabelText="{{'staffManager.contractHisInfo.label.attributes.contractType' | translate}} <span class='label__required'>*</span>"
                 formControlName="contractTypeId"></mb-select>
    </div>

    <!-- Từ ngày -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        [mbType]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
        [mbShowError]="isSubmitted && (form.controls['fromDate'].errors || form.errors?.rangeDateError) !== null"
        [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
        [mbErrorDefs]="[
        { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.contractHisInfo.label.attributes.fromDate' | translate }},
        { errorName: 'rangeDateError', errorDescription: 'staffManager.validate.rangeDate.pareDate' | translate:
        {'fromDate': 'staffManager.contractHisInfo.label.attributes.fromDate' | translate, 'toDate': 'staffManager.contractHisInfo.label.attributes.toDate' | translate}}
        ]"
        mbPlaceholderText="{{'staffManager.contractHisInfo.label.attributes.fromDate' | translate}}"
        mbLabelText="{{'staffManager.contractHisInfo.label.attributes.fromDate' | translate}} <span class='label__required'>*</span>"
        formControlName="fromDate"></mb-date-picker>
    </div>

    <!-- Đến ngày -->
    <div nz-col [nzXs]="24" [nzLg]="12" *ngIf="form.value['classifyCode'] !== typeCode">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.contractHisInfo.label.attributes.toDate' | translate}}"
        mbLabelText="{{'staffManager.contractHisInfo.label.attributes.toDate' | translate}}"
        formControlName="toDate"></mb-date-picker>
    </div>

    <!-- Số hợp đồng -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="contractNumber"
                     mbPlaceholderText="{{'staffManager.contractHisInfo.label.attributes.contractNumber' | translate}}"
                     mbLabelText="{{'staffManager.contractHisInfo.label.attributes.contractNumber' | translate}}"></mb-input-text>
    </div>

    <!-- Ngày ký -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-date-picker
        mbPlaceholderText="{{'staffManager.contractHisInfo.label.attributes.signedDate' | translate}}"
        mbLabelText="{{'staffManager.contractHisInfo.label.attributes.signedDate' | translate}}"
        formControlName="signedDate"></mb-date-picker>
    </div>

    <!-- Người ký -->
    <div nz-col [nzXs]="24" [nzLg]="12" class="select__signer">
      <employee-data-picker
        [mbCanText]="true"
        formControlName="signer"
        mbLabelText="{{'staffManager.contractHisInfo.label.attributes.signer' | translate}}"
      >
      </employee-data-picker>
    </div>

    <!-- Chức vụ người ký -->
    <div nz-col [nzXs]="24" [nzLg]="12">
      <mb-input-text formControlName="signerPosition"
                     [mbMaxLength]="200"
                     mbPlaceholderText="{{'staffManager.contractHisInfo.label.attributes.signerPosition' | translate}}"
                     mbLabelText="{{'staffManager.contractHisInfo.label.attributes.signerPosition' | translate}}"></mb-input-text>
    </div>

    <!-- Ghi chú -->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <mb-input-text formControlName="note"
                     [mbIsTextAre]="true"
                     [mbMaxLength]="500" [mnMinLength]="0"
                     [mbConfig]="{ rows: 3, autoSize: true }"
                     [mbType]="isSubmitted && form.controls['note'].errors ? 'error' : 'default'"
                     [mbShowError]="isSubmitted && form.controls['note'].errors !== null"
                     [mbErrors]="form.controls['note'].errors"
                     [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': '500' }}]"
                     mbPlaceholderText="{{'staffManager.contractHisInfo.label.attributes.note' | translate}}"
                     mbLabelText="{{'staffManager.contractHisInfo.label.attributes.note' | translate}}"></mb-input-text>
    </div>

    <!-- File đính kèm -->
    <div nz-col [nzXs]="24" [nzLg]="24">
      <label class="input__label">{{'staffManager.label.file' | translate}}</label>
      <nz-upload
        nzType="drag"
        [nzMultiple]=" true"
        [(nzFileList)]="fileList" [nzBeforeUpload]="beforeUpload" [nzDownload]="downloadFile" [nzRemove]="removeFile">
        <p class="ant-upload-drag-icon">
          <em nz-icon nzType="inbox"></em>
        </p>
        <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
        <p class="ant-upload-hint">
          {{'common.upload.supportExcel'|translate}}
        </p>
      </nz-upload>
    </div>

  </div>
</form>
